/*
 * Copyright (c) 1993 by the University of Southern California
 *
 * For copying and distribution information, please see the files
 * <prm-copyr.h>.
 *
 * Written by srao 3/93
 *
 */

#include <prm-copyr.h>

#include <comm.h>

#include <errno.h>

extern char *sys_errlist[];

write_pkts_to_file(PTEXT pkt_list, int fd)
{
  
  u_long bytes_remng, tot_bytes;
  char *msg;
  PTEXT pkt_i;
  int write_len;
  
  msg = pkt_list->start;
  bcopy (msg + MSGLEN_OFFSET, &bytes_remng, LONG_SZ);
  bytes_remng = ntohl(bytes_remng);
  
  pkt_i = pkt_list;

  while(pkt_i && (bytes_remng > 0) ) {
    write_len = MIN(bytes_remng, PRM_APPL_MSG_LEN);
    
    if (write(fd, pkt_i->start + PRM_APPL_MSG_OFFSET, write_len) == -1) {
      sprintf(p_err_string, "%s", sys_errlist[errno]);
      return -1;
    }
    bytes_remng -= write_len;
    pkt_i = pkt_i->next;
  }

  return tot_bytes;
}


