/****************************  support.h  **********************************

   Purpose:	External interface for support routines.

   Provenance:	Written and tested by Q. Chen and E. Fox, March 1991.
   		Edited and tested by S. Wartik, April 1991.

   Notes:	None.
**/

#ifdef __STDC__

extern char	*owncalloc(int n, int size);
extern char	*ownrealloc(char *area, int new_size);

extern void	write_gfun(arcsType *arcs, verticesType *vertices,
			   int tbl_seed, char *spec_file);

extern int	verify_mphf(arcsType *arcs, verticesType *vertices);

#else

extern char	*owncalloc();
extern char	*ownrealloc();

extern void	write_gfun();

extern int	verify_mphf();

#endif
