/*
 * Copyright (c) 1992, 1993 by the University of Southern California
 *
 * For copying and distribution information, please see the files
 * <prm-copyr.h>.
 *
 * Written by srao 8/92
 *
 */

#include <prm-copyr.h>


#include <prm.h>

struct nmlist {
  char *hostname;
  PRM_node_addr_t addr;
  u_char status;
  u_char h_type; 
};

struct job_info {
  u_long jid;                    /* Job ID */
  PRM_node_addr jmaddr;     /* Internet address of jobmngr host */
  int ntasks;                    /* Number of tasks in this job */
  int num_allocd[MAX_HOST_TYPES]; /* Number of nodes allocated to job */
  int tot_allocd;
  int *node_ind;             /* Index of allocated nodes in nmlist structure */
  struct job_info *next;
  struct job_info *previous;
};

#define SYSERRLOGFL "/tmp/sysmngr.log"



